Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode
Class PDF417ErrorLevel

    java.lang.Object
      com.aspose.barcode.PDF417ErrorLevel

    public class PDF417ErrorLevel

extends java.lang.Object

Error correction level for PDF417 type of barcode

Field Summary
`static int` | `LEVEL0` Level 0 error correction for PDF417 type of barcode, no error correction
`static int` | `LEVEL1` Level 1 error correction for PDF417 type of barcode.
`static int` | `LEVEL2` Level 2 error correction for PDF417 type of barcode.
`static int` | `LEVEL3` Level 3 error correction for PDF417 type of barcode.
`static int` | `LEVEL4` Level 4 error correction for PDF417 type of barcode.
`static int` | `LEVEL5` Level 5 error correction for PDF417 type of barcode.
`static int` | `LEVEL6` Level 6 error correction for PDF417 type of barcode.
`static int` | `LEVEL7` Level 7 error correction for PDF417 type of barcode.
`static int` | `LEVEL8` Level 8, maximum error correction for PDF417 type of barcode.

Constructor Summary
`PDF417ErrorLevel()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEVEL0

    public static final int LEVEL0

  Level 0 error correction for PDF417 type of barcode, no error correction

  See Also:
    Constant Field Values

### LEVEL1

    public static final int LEVEL1

  Level 1 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL2

    public static final int LEVEL2

  Level 2 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL3

    public static final int LEVEL3

  Level 3 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL4

    public static final int LEVEL4

  Level 4 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL5

    public static final int LEVEL5

  Level 5 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL6

    public static final int LEVEL6

  Level 6 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL7

    public static final int LEVEL7

  Level 7 error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

### LEVEL8

    public static final int LEVEL8

  Level 8, maximum error correction for PDF417 type of barcode.

  See Also:
    Constant Field Values

Constructor Detail

### PDF417ErrorLevel

    public PDF417ErrorLevel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD